Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.engine.model
Class AbstractActionModel

    java.lang.Object
      org.springframework.webflow.engine.model.AbstractModel
          org.springframework.webflow.engine.model.AbstractActionModel

All Implemented Interfaces:
  Model

Direct Known Subclasses:
  EvaluateModel, RenderModel, SetModel

    public abstract class AbstractActionModel

extends AbstractModel

Model support for actions.

Author:
  Scott Andrews

Constructor Summary
`AbstractActionModel()`

Method Summary
`protected void` | `fillCopy(AbstractActionModel copy)`
`java.util.LinkedList` | `getAttributes()`
`boolean` | `isMergeableWith(Model model)` Actions are not mergeable
`void` | `merge(Model model)` Actions are not mergeable
`void` | `setAttributes(java.util.LinkedList attributes)`

Methods inherited from class org.springframework.webflow.engine.model.AbstractModel
`copy, copyList, merge, merge, merge, merge, merge`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.webflow.engine.model.Model
`createCopy`

Constructor Detail

### AbstractActionModel

    public AbstractActionModel()

Method Detail

### isMergeableWith

    public boolean isMergeableWith(Model model)

  Actions are not mergeable

  Parameters:
    `model` - the model to test
  Returns:
    true if able to merge

### merge

    public void merge(Model model)

  Actions are not mergeable

  Parameters:
    `model` - the render action to merge into this render

### fillCopy

    protected void fillCopy(AbstractActionModel copy)

### getAttributes

    public java.util.LinkedList getAttributes()

  Returns:
    the attributes

### setAttributes

    public void setAttributes(java.util.LinkedList attributes)

  Parameters:
    `attributes` - the attributes to set

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD